import java.util.*;
import java.io.*;
public class s1 {
public static void main(String [] args) throws Exception
{
Scanner in=new Scanner(new File(("sort.in")));
PrintWriter out=new PrintWriter(new File("sort.out"));
int i=0;
int n=in.nextInt();
   int[] arr=new int[n];
    for(i=0;i<n;i++)
    {
    arr[i]=in.nextInt();
    }
    int tmp;
    int j;
    for (i=0;i<n;i++)
    {
        for(j=0;j<n-1;j++)
        {
            if (arr[j]>arr[j+1])
            {
           tmp=arr[j];
           arr[j]=arr[j+1];
                arr[j+1]=tmp;
            }
        }
    }
     for(i=0;i<n;i++)
    {
    out.print(arr[i]+" ");
    }
in.close();
out.close();
}
}

